net.sourceforge.pmd.benchmark

## Class RuleDuration

- java.lang.Object
- - net.sourceforge.pmd.benchmark.RuleDuration

All Implemented Interfaces:
  Comparable<RuleDuration>

    public class RuleDuration
    extends Object
    implements Comparable<RuleDuration>

### Field Summary

Fields
`Rule` `rule`
`long` `time`

### Constructor Summary

Constructors
Constructor and Description
`RuleDuration(long elapsed, Rule rule)`

### Method Summary

Methods
`int` `compareTo(RuleDuration other)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### rule

    public Rule rule

#### time

    public long time

### Constructor Detail

#### RuleDuration

    public RuleDuration(long elapsed,
                Rule rule)

### Method Detail

#### compareTo

    public int compareTo(RuleDuration other)

Specified by:
  `compareTo` in interface `Comparable<RuleDuration>`